# 60. Mutação: Gerar "ZonesMap" com base em As-Applied de forma assíncrona

Gerar "ZonesMap" baseado em As-Applied para o "Field" de forma assíncrona.

{% hint style="info" %}
A abordagem assíncrona coloca uma tarefa (Generate "generateAsAppliedVectorAnalysisMap") para processar e a Assinatura será recebida assim que o processamento for concluído.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GenerateAsAppliedZonesMapAsync {
  generateAsAppliedVectorAnalysisMapAsync(
    input: {
      fieldUuid: "<placeholder_of_field_uuid>"
      name: "actual"
      numberOfZones: 3
      asAppliedAttribute: "actual"
      asAppliedDatasetUuid: "<placeholder_of_as_applied_dataset_uuid>"
    }
  ) {
    uuid
    fieldUuid
    statusCode
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/60.-mutacao-gerar-zonesmap-com-base-em-as-applied-de-forma-assincrona.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
